Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO]installare Heimdall
#1
non riesco ad installare Heimdall dovrei cambiare il firmware del mio samsung galaxy s (usavo Odin con vista), uso la versione ubuntu 10.04 e quando tento di lanciare i pacchetti heimdall_1.3beta1_i386.deb3 heimdall-frontend_1.3beta1_i386.deb
l'errore è '' La dipendenza non può essere soddisfatta: libusb-1.0-0 (>= 2:1.0.8)''
qualcuno può aiutarmi? grazie
Cita messaggio
#2
Apri il terminale:

Codice:
sudo add-apt-repository ppa:modycz/heimdall
sudo apt-get update
sudo apt-get install heimdall
Cita messaggio
#3

effettivamente si è installato per lanciarlo faccio .. alt f2 e scrivo heimdall?
grazie
Cita messaggio
#4
Apri il terminale e digita:

Codice:
heimdall
Cita messaggio
#5
mi dovrebbe aprire una finestra per inserire il firmware, forse sbaglio qualcosa o mi mancano dei passaggi ma dal terminale leggo questo
scusa ma non conosco bene ubuntu
grazie


alberto@alberto-laptop:~$ heimdall
Usage: heimdall <action> <arguments> [--verbose] [--delay <ms>]

action: flash
arguments:
--repartition --pit <filename> --factoryfs <filename>
--cache <filename> --dbdata <filename> --primary-boot <filename>
--secondary-boot <filename> --param <filename> --kernel <filename>
--modem <filename>
or:
[--pit <filename>] [--factoryfs <filename>] [--cache <filename>]
[--dbdata <filename>] [--primary-boot <filename>]
[--secondary-boot <filename>] [--secondary-boot-backup <filename>]
[--param <filename>] [--kernel <filename>] [--recovery <filename>]
[--efs <filename>] [--modem <filename>]
description: Flashes firmware files to your phone.

action: close-pc-screen
description: Attempts to get rid off the "connect phone to PC" screen.

action: dump
arguments: --chip-type <NAND | RAM> --chip-id <integer> --output <filename>
description: Attempts to dump data from the phone corresponding to the
specified chip type and chip ID.
NOTE: Galaxy S phones don't appear to properly support this functionality.

action: help
description: Display this dialogue.
Cita messaggio
#6
ho risolto dopo aver lanciato le istruzioni che mi hai scritto ho installato i due pacchetti heimdall_1.3beta1_i386.deb e heimdall-frontend_1.3beta1_i386.deb questa volta senza problemi;
infine per avviarlo basta cliccare su ALT+F2 e digitare ''heimdall-frontend'' si apre la finestra del programma

sinceramente non ho ancora capito che tipo di errore fosse
'' La dipendenza non può essere soddisfatta: libusb-1.0-0 (>= 2:1.0.8)''
grazie ancora ciao
Cita messaggio
#7
Il pacchetto libusb contiene una libreria usata da alcune applicazioni per l'accesso di dispositivi USB, in questo caso ubuntu 10.04 ha la versione di libusb 2.1.0.6 mentre i ppa che ti ho indicato hanno la 2.1.0.8,l'errore che ti dava vuol dire richiede libusb maggiore o uguale alla versione 2.1.0.8.
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)